org.apache.lucene.index

## Class MultiDocsEnum.EnumWithSlice

- java.lang.Object
- - org.apache.lucene.index.MultiDocsEnum.EnumWithSlice

- Enclosing class:
    MultiDocsEnum

      public static final class MultiDocsEnum.EnumWithSlice
      extends Object

  Holds a `DocsEnum` along with the corresponding `ReaderSlice`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `DocsEnum` | `docsEnum` `DocsEnum` of this sub-reader.
    `ReaderSlice` | `slice` `ReaderSlice` describing how this sub-reader fits into the composite reader.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### docsEnum

          public DocsEnum docsEnum

      `DocsEnum` of this sub-reader.

    - #### slice

          public ReaderSlice slice

      `ReaderSlice` describing how this sub-reader fits into the composite reader.

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.